Payroll runs & approvals

Client Request Payroll Run Modification

Name and signature indicate it changes client request payroll run modification

POSThttps://api.toku.com/hris/client-request-payroll-run-modification

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/hris/client-request-payroll-run-modification' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payrollRunID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "reason": "string",
  "documents": [
    {
      "fileName": "string",
      "fileKey": "string",
      "fileBucket": "string"
    }
  ]
}'
200 response
{
  "payrollRunID": "string",
  "payrollRunModificationRequestID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payrollRunIDstring<uuid>required
reasonstringrequired

Allowed: 10 to 1000 characters

documentsobject[]

NOTE(ck): default [] is not expressible here, so this field is optional; TGA applies the default

Allowed: at most 10 items

Show child attributes
fileNamestringrequired

Allowed: 1 to 255 characters

fileKeystringrequired

Allowed: 1 to 1024 characters

fileBucketstringrequired

Allowed: 1 to 63 characters

Response

200Successful response
payrollRunIDstringrequired
statusanyrequired
payrollRunModificationRequestIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits